PGYTECH DJI FPV Combo Case

SKU: P-24A-102
Out of stock

The waterproof rating of the DJI FPV case case is IP67 (this means that the closed case can go under 1 meter of water without water getting in). The case is impact and temperature resistant and corrosion resistant. Equipped with a pressure equalization valve, thanks to which the case can be opened easily and safely during changes in altitude and temperature.

Monthly payment from 7.49 / 18 months

Out of stock

119

The product is out of stock. Sign up for a notification and we'll let you know when the product is back in stock.
  • The buyer has the right to return or exchange the goods within 14 days.

  • Fast delivery for items in stock.

  • DJI Care additional warranty available for DJI products.

Transport

You can choose the delivery method in the shopping cart.

  • Parcel machine

    1-2 working days

  • Courier

    1-2 working days

Description

banner PGYTECH DJI FPV Safety Carrying Case
icons for PGYTECH DJI FPV Safety Carrying Case

Turvakohvrisse mahub DJI FPV, laadija, aku laadimiskeskus, tiivikute komplekt, kolm akut, kaugjuhtimispuldi ja laadija tarvikud, FPV prillid ja selle laadija tarvikud.

 

Efficient Storage Set-up

Veekindel IP67

Korpuse veekindel reiting on IP67 (see tähendab, et kinnine korpus võib minna vee alla 1 meeter ilma, et vesi sisse tuleks)

Waterproof IP67

PÕRUTUSE- , TEMPERATUURI-  JA KORROSIOONI KINDEL

Korpus on valmistatud tugevast ja vastupidavast plastmassist. Talub temperatuuri -25 kuni +60 kraadi ja lühiajaliselt isegi -40 kuni +80 kraadi.

Impact & temperature resistant, corrosion proof
CNC-konstrueeritud kvaliteetne EVA vooder pakub mugavat sobivust ja ülimat kaitset.
EVA shock-proof lining offers increased protection

Varustatud rõhu tasakaalustusventiiliga, tänu millele on kohver hõlpsasti ja ohutult avatav kõrguse ja temperatuuri muutuste ajal. 

 

Efficient Storage Set-up

    Internet Explorer Icon

    NB!Microsoft has stopped developing and updating Internet Explorer and does not recommend using this Internet browser due to security vulnerabilities. Internet Explorer no longer supports new network standards, and this web solution does not work correctly in this browser.